Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.importer
Interface IGeonamesProcessor

All Known Implementing Classes:
  AbstractGeonamesProcessor, AdmExtracter, GeonamesAdm1Importer, GeonamesAdm2Importer, GeonamesAdm3Importer, GeonamesAdm4Importer, GeonamesAlternateNamesImporter, GeonamesCountryImporter, GeonamesFeatureImporter, GeonamesFileRetriever, GeonamesLanguageImporter

    public interface IGeonamesProcessor

Interface for Geonames processor

Author:
  David Masclet

Method Summary
`java.lang.String` | `getCurrentFileName()`
`int` | `getNumberOfLinesToProcess()`
`int` | `getReadFileLine()` The number of read line for the current processed file
`ImporterStatus` | `getStatus()`
`java.lang.String` | `getStatusMessage()`
`int` | `getTotalReadLine()` The number of read line for all the processed file
`void` | `process()` Do the stuff...
`java.util.List<NameValueDTO<java.lang.Integer>>` | `rollback()` /!

Method Detail

### process

    void process()

  Do the stuff...

### getReadFileLine

    int getReadFileLine()

  The number of read line for the current processed file

  See Also:
    `getTotalReadLine()`

### getTotalReadLine

    int getTotalReadLine()

  The number of read line for all the processed file

  See Also:
    `getReadFileLine()`

### getCurrentFileName

    java.lang.String getCurrentFileName()

  Returns:
    The name of the file currently processed or null if no file is processed

### getNumberOfLinesToProcess

    int getNumberOfLinesToProcess()

  Returns:
    The number of line the processor will process. (it is not the number of lines left!)

### getStatus

    ImporterStatus getStatus()

  Returns:
    The current status of the importer

### getStatusMessage

    java.lang.String getStatusMessage()

  Returns:
    A text Message for the importer

### rollback

    java.util.List<NameValueDTO<java.lang.Integer>> rollback()

  /!\ USE THIS METHOD VERY CAREFULLY /!\ : If you call this function, all the imported data for the specified importer will be deleted

  Returns:
    a NameValueDTO with the name of the deleted object and the number of deleted Object. No entry will be return for Object that were 0 object will be deleted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.